お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2007-06-17 13:38:02

UbonroPoo
メンバ
登録日: 2007-06-17

jnethack

はじめまして、どなたか助けてください。

時々、jnethack で遊んでいます。
vinelinux 2.6.4 の rpm パッケージです。
お城で兵隊を全滅させて、何かいいものを拾おうとすると crash します。

source.tarball から make できませんでした。(vinelinux)

ubuntu で jnethack パッケージをみつけて、やっと 「vinelinux を消せる」
とおもったのですが、 ascii 文字しか表示しません。

Gdk Warning: locale not supported in C library

とかでます。
あと、 shared memory が使えないとかもでます。

jnethack で遊ぶためだけに、 8GB もディスクを使っているのも・・・

環境は、ほぼ default です。
cinelerra を install したときに、 /proc/sys/kernel/shmmax の値を増やせ
と言われて、 rc.local にその値を書き込むように付け加えました。

オフライン

 

#2 2007-06-17 14:20:06

gmax
メンバ
From: 兵庫県
登録日: 2006-10-24

Re: jnethack

kubuntuですが私のところではjnethackは立ち上がりもしませんでした....

コード:

$ jnethack
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "*--14-*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset

"Gdk Warning: locale not supported in C library"は出なかったのですが、たぶん下記トピックと同じです。
http://forum.ubuntulinux.jp/viewtopic.php?id=448

対処方法は、

1) $ sudo localedef -i ja_JP -f EUC-JP ja_JP.eucJP を実行
2) jnethack起動時は次のように実行する。
   $ LANG=ja_JP.eucJP jnethack

のようになります。しかし、私の手元で出た問題はこれでは解消していません。
ちょっと根深そうな気もします。xfsを入れたら問題が解消したという報告もちらほら見たのですが....

それにしても8GBもjnethackって食うのでしょうか?
私のところでは次のようになっています。

コード:

$ dpkg -p jnethack
Package: jnethack
Priority: optional
Section: games
Installed-Size: 10316
Maintainer: Kenshi Muto <kmuto@debian.org>
Architecture: i386
Version: 1.1.5-21ubuntu2
Depends: libc6 (>= 2.4-1), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), libice6, libncurses5 (>= 5.4-5), libsm6, libx11-6, libxaw7, libxext6, libxi6, libxmu6, libxpm4, libxt6, xfonts-utils
Recommends: xfonts-base
Size: 1602546

"Installed-Size: 10316"はKbytes単位なので10MB程度、"Size: 1602546"はBytes単位なので1.6MB程度。
とうてい8GBには及びません...どうやって調べられたのでしょうか。

$ apt-cache policy jnethack の結果はこういう感じです。

コード:

jnethack:
  インストールされているバージョン: 1.1.5-21ubuntu2
  候補: 1.1.5-21ubuntu2
  バージョンテーブル:
 *** 1.1.5-21ubuntu2 0
        500 http://jp.archive.ubuntu.com feisty/universe Packages
        500 http://archive.ubuntu.com feisty/universe Packages
        100 /var/lib/dpkg/status

cinelerraというソフトについてはよくわかりません(手元環境で探したがインストール候補も出てこなかった)。問題があるなら別トピックにされたほうが良いでしょうね。

オフライン

 

#3 2007-06-17 15:03:10

UbonroPoo
メンバ
登録日: 2007-06-17

Re: jnethack

gmax さん。 ありがとうごさいました。日本語が出て、遊べるようです。

8GB というのは、 vinelinux 2.6.4 が占有している領域です。
余分でした。ごめんなさい。

cinelerra は、video 編集ソフト ということでインストールしてみただけで
まだ1回起動してみただけです。
apt で持ってきたと思うんですが。
dpkg の list は
ii  cinelerra                                  2.1.0-2svn2007424ubuntu3
とでます。

オフライン

 

#4 2007-06-17 18:54:13

gmax
メンバ
From: 兵庫県
登録日: 2006-10-24

Re: jnethack

動いたようで何よりです:)
でも私のところはダメ....なんでだろう。とはいえjnethackはやらないと思うので忘れてください。

>> ii  cinelerra                                  2.1.0-2svn2007424ubuntu3

オフトピックになりますが

$ apt-cache policy cinelerra

とやるとどうでますか?先の私のjnethackの出元確認と同じやりかたです。
どこのリポジトリから取ってきたかも判るので便利です。良いソフトならまたご紹介ください。

オフライン

 

#5 2007-06-17 21:32:23

anoir
モデレータ
From: Berkeley, CA
登録日: 2007-01-13

Re: jnethack

レポジトリはおそらくこれじゃないでしょうか?

http://www.kiberpipa.org/~gandalf/ubuntu/README

ライセンスはGPL2です。

オフライン

 

#6 2007-06-18 16:53:06

UbonroPoo
メンバ
登録日: 2007-06-17

Re: jnethack

遅くなりました。

apt-cache policy cinelerra の結果は

cinelerra:
  インストールされているバージョン: 1:2.1.0-2svn2007424ubuntu3
  候補: 1:2.1.0-2svn2007424ubuntu3
  バージョンテーブル:
*** 1:2.1.0-2svn2007424ubuntu3 0
        500 http://www.kiberpipa.org ./ Packages
        100 /var/lib/dpkg/status

です。

オフライン

 

Board footer

Powered by FluxBB